package	jp.co.sds_corp.fxchart.graph;

import java.io.Serializable;
import java.math.BigDecimal;

import jp.co.sds_corp.util.common.CmnDate;

/**
* ローソク足グラフのためのデータを保持します。
*/
public class RateHistRosoku implements Serializable
{
	private static final long serialVersionUID = 1L;
	CmnDate	startDate;
	CmnDate	endDate;
	BigDecimal	start;
	BigDecimal	end;
	BigDecimal	high;
	BigDecimal	low;

	/**
	* 期間の開始日(startDate)を設定します。
	* @param	var		設定するデータ
	*/
	public void setStartDate( CmnDate var ) {
		this.startDate = var ;
	}
	/**
	* 期間の開始日(startDate)を取得します。
	* @return	startDateの内容
	*/
	public CmnDate getStartDate() {
		return startDate;
	}

	/**
	* 期間の終了日(endDate)を設定します。
	* @param	var		設定するデータ
	*/
	public void setEndDate( CmnDate var ) {
		this.endDate = var ;
	}
	/**
	* 期間の終了日(endDate)を取得します。
	* @return	endDateの内容
	*/
	public CmnDate getEndDate() {
		return endDate;
	}

	/**
	* 始値(start)を設定します。
	* @param	var		設定するデータ
	*/
	public void setStart( BigDecimal var ) {
		this.start = var ;
	}
	/**
	* 始値(start)を取得します。
	* @return	startの内容
	*/
	public BigDecimal getStart() {
		return start;
	}

	/**
	* 終値(end)を設定します。
	* @param	var		設定するデータ
	*/
	public void setEnd( BigDecimal var ) {
		this.end = var ;
	}
	/**
	* 終値(end)を取得します。
	* @return	endの内容
	*/
	public BigDecimal getEnd() {
		return end;
	}

	/**
	* 高値(high)を設定します。
	* @param	var		設定するデータ
	*/
	public void setHigh( BigDecimal var ) {
		this.high = var ;
	}
	/**
	* 高値(high)を取得します。
	* @return	highの内容
	*/
	public BigDecimal getHigh() {
		return high;
	}

	/**
	* 安値(low)を設定します。
	* @param	var		設定するデータ
	*/
	public void setLow( BigDecimal var ) {
		this.low = var ;
	}
	/**
	* 安値(low)を取得します。
	* @return	lowの内容
	*/
	public BigDecimal getLow() {
		return low;
	}

}
